
@import url('nav.css');
@import url('actuators.css');

html
{
    margin:0;
    height: 100%;
    width: 100%;
}

body
{
    margin: 0;
    height: 100%;
    width: 100%;
    background-image: radial-gradient(circle at top right, #9bbad2, #235c8a);
    background-size: cover;
    background-attachment: fixed;
}

.mute
{
    content:url(img/mute.png);
}

.mute2
{
    content:url(img/mute2.png);
}

#center
{
    text-align: center;
    float: left;
    width: 70%;
    display: inline-block;
    margin:0 auto;
    color: white;
}

#multimedia
{
    position: absolute;
    z-index: 2;
    background-color: rgba(255, 255, 255, 0.2);
}

#user_container
{
    color: #343754;
    font-size: 0.8em;
    padding-top: 12px;
    padding-right: 8px;
    float: left;
}

#video_overlay
{
    position: relative;
}

#position_x
{
    content:url(img/double_arrow_down.png);
    position: absolute;
    z-index: 3;
    left: 50%;
    bottom: 0px;
    display: none;
}

#position_y
{
    content:url(img/double_arrow_right.png);
    position: absolute;
    z-index: 3;
    right: 0px;
    bottom: 50%;
    display: none;
}

video
{
    width: 100%;
    height: 100%;
    margin: 0 auto;
    background-repeat: no-repeat;
    background-position: center;
    background-size: 400px 400px;
    background-image: url(img/offline.png);
}

tbody tr:hover
{
    background: linear-gradient(135deg, transparent, white);
}

*
{
    font-family: Helvetica, sans-serif;
}

input
{
    border:1px solid black;
    background-color:#FFFFFF;
}

select, option
{
    border:1px solid black;
    background-color:#D1D9EA;
}

textarea
{
    border:1px solid black;
    background-color:#D1D9EA;
}

a
{
    color: #cad7ff;
    text-decoration: none;
}

a:hover
{
    text-decoration: none;
    color: white;
}

#hotlinks
{
    float: right;
    padding-top: 30px;
    width: 300px;
}

#header
{
    height:150px;
}

.button_actuator
{
    display: inline-block;
    padding-top: 5px;
    padding-bottom: 5px;
}

.button
{
    width: 40px;
    float: left;
    padding-right: 20px;
    padding-left: 20px;
}

.button_txt
{
    float: left;
    font-weight: bold;
    text-align:center;
    padding-top: 30px;
    padding-left: 30px;
}

.active:hover
{
    filter: drop-shadow(1px 1px 5px white);
}

.what_this
{
    position: absolute;
    top: 30px;
    left: 350px;
}

#settings
{
    content:url(img/settings.png);
}

#button_close
{
    z-index: 3;
    position: absolute;
    right: 0px;
    content:url(img/close.png);
    display: none;
}

#log_button
{
    content:url(img/log.png);
}

#monitoring
{
    content:url(img/monitoring.png);
    float: right;
}

#admin
{
    content:url(img/admin.png);
    float: right;
}

#help
{
    content:url(img/help.png);
    float: right;
}

#gamepad_detected
{
    content:url(img/gamepad.png);
}

#ping_container
{
    text-align: center;
    color: #cad7ff;
    font-size: 0.9em;
    margin: 0px 0px 10px;
    font-weight: bold;
}

footer
{
    clear: both;
    position: relative;
    font-size: 1m;
    color: white;
    text-align:center;
    line-height: 100px;
    width: 100%;
}

#separator_footer
{
    margin-top: 10px;
    position:absolute;
    background: linear-gradient(135deg, transparent, white);
    height: 2px;
    width: 100%;
}

#logo_footer
{
    margin-top: 10px;
    content:url(img/logoTalbarts.png);
    float: right;
    width: 200px;
}

#logo
{
    float: left;
    top: 0px;
    content:url(img/logo.png);
    height: 150px;
}

#logo:hover
{
    filter: drop-shadow(1px 1px 10px white);
}

#dashboard_sensors
{
    float: left;
    background: linear-gradient(135deg, #9bbad2, transparent);
    width: 15%;
    min-height: calc(100% - 200px);
}

.dashboard_sensors_item
{
    background: linear-gradient(255deg, #92afd2, transparent);
    width: 90%;
    text-align: center;
    margin: auto;
    font-weight: bold;
    min-height: 65px;
    color: white;
}

.dashboard_sensors_item h3
{
    color: black;
    background: #ccdcef;
    font-size: 0.9em;
}

.window_center
{
    position: absolute;
    margin-top: 40px;
    z-index: 2;
    font-size: 0.8em;
    background-color: rgba(255, 255, 255, 0.2);
    max-width: 50%;
    max-height: 50%;
    color:#2A4284;
    overflow-y: scroll;
    overflow-x: hidden;
}

#right_panel
{
    float: left;
    width: 15%;
    min-height: calc(100% - 200px);
    display: flex;
    flex-flow: column;
}

#dashboard_actuators
{
    text-align: center;
    background-color: rgba(255, 255, 255, 0.1);
    border:1px solid #ccdcef;
}

#chat
{
    padding-top: 10px;
    float: left;
    flex-grow : 1;
    display: flex;
    flex-flow: column;
}

#chat_iframe
{
    border: none;
    width: 100%;
    flex-grow : 1;
}

#speed
{
    color: grey;
    width: 95%;
    height: 14px;
    float: left;
    font-size:13px;
    font-weight: bold;
}

#options
{
    display: none;
}

#log
{
    display: none;
    border: none;
    width: 50%;
    height: 50%;
    overflow-y: scroll;
    text-align: left;
}

#motd_container
{
    position: absolute;
    margin-top: 80px;
    margin-left: 40px;
    z-index: 2;
}

table
{
    margin: 0 auto;
}

#title
{
    margin: 0 auto;
    text-align: center;
    color: white;
}

@font-face
{
    font-family: "bulgatti";
    src: url('bulgatti.ttf');
}

#robot_name
{
    margin-top: 5px;
    font: italic 2em "bulgatti", serif;
}

#robots li + li:before{
    content: "|";
    padding-left: 5px;
    padding-right: 5px;
}

#robots li
{
    display: inline-block;
    font-size:15px;
}

#robots ul
{
    display: inline;
}

#picture
{
    content:url(img/camera.png);
}

#record
{
    content:url(img/videocamera.png);
}

#full_screen
{
    content:url(img/full_screen.png);
}

.value_error
{
    color: red;
}

.value_ok
{
    color: white;
}

.container_progress_bar
{
    width:90%;
    height:10px;
    background-color:#f7f7f7;
    border:1px solid #e7e7e7;
    margin: 0 auto;
}

.progress_bar
{
    background-color:#cb2025;
    width:1%;
    height:5px;
    border:2px solid #f7f7f7;
}

.small_center
{
    font-size:15px;
    text-align: center;
}

.textzone
{
    width: 70%;
}

#login_form
{
    float: right;
    margin-top: 30px;
    padding: 10px;
    border:1px solid #ccdcef;
    color: white;
    font-size:15px;
}

.login_form_text
{
    width: 70px;
}

.offline
{
    color: #E3C8C8;
}

.online
{
    color: #cad7ff;
}

.selected
{
    font-weight: bold;
}

#canvas_odometry
{
    width: 100%;
    height: 200px;
    overflow: scroll;
    border: 1px solid black;
    margin-top: 20px;
    display: none;
}

#canvas_odometry::-webkit-scrollbar {
  width: 8px;
  height: 8px;
}

#canvas_odometry::-webkit-scrollbar-track {
  background: #9bbad2;
  border-radius: 4px;
}

#canvas_odometry::-webkit-scrollbar-thumb {
  background-color: #235c8a;
  border-radius: 4px;
  border: 2px solid #f0f0f0;
}

#canvas_odometry::-webkit-scrollbar-thumb:hover {
  background-color: #555;
}

canvas
{
    background-color: #9bbad2;
}

